Unverified Commit dd25c479 authored by dependabot[bot]'s avatar dependabot[bot] Committed by GitHub
Browse files

Bump pin-project from 1.0.7 to 1.0.8 (#3649)

Bumps [pin-project](https://github.com/taiki-e/pin-project) from 1.0.7 to 1.0.8.
- [Release notes](https://github.com/taiki-e/pin-project/releases)
- [Changelog](https://github.com/taiki-e/pin-project/blob/main/CHANGELOG.md)
- [Commits](https://github.com/taiki-e/pin-project/compare/v1.0.7...v1.0.8

)

---
updated-dependencies:
- dependency-name: pin-project
  dependency-type: direct:production
  update-type: version-update:semver-patch
...
Signed-off-by: default avatardependabot[bot] <support@github.com>
Co-authored-by: default avatardependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
parent d47406b4
Pipeline #153478 canceled with stages
in 27 minutes and 46 seconds
......@@ -3113,7 +3113,7 @@ dependencies = [
"futures 0.3.16",
"jsonrpsee-types",
"log",
"pin-project 1.0.7",
"pin-project 1.0.8",
"rustls",
"rustls-native-certs",
"serde",
......@@ -3356,7 +3356,7 @@ dependencies = [
"libp2p-yamux",
"multiaddr",
"parking_lot 0.11.1",
"pin-project 1.0.7",
"pin-project 1.0.8",
"smallvec",
"wasm-timer",
]
......@@ -3381,7 +3381,7 @@ dependencies = [
"multihash 0.14.0",
"multistream-select",
"parking_lot 0.11.1",
"pin-project 1.0.7",
"pin-project 1.0.8",
"prost 0.8.0",
"prost-build 0.8.0",
"rand 0.7.3",
......@@ -3607,7 +3607,7 @@ checksum = "07cb4dd4b917e5b40ddefe49b96b07adcd8d342e0317011d175b7b2bb1dcc974"
dependencies = [
"futures 0.3.16",
"log",
"pin-project 1.0.7",
"pin-project 1.0.8",
"rand 0.7.3",
"salsa20",
"sha3",
......@@ -3626,7 +3626,7 @@ dependencies = [
"libp2p-core",
"libp2p-swarm",
"log",
"pin-project 1.0.7",
"pin-project 1.0.8",
"prost 0.8.0",
"prost-build 0.8.0",
"rand 0.7.3",
......@@ -4293,7 +4293,7 @@ dependencies = [
"bytes 1.0.1",
"futures 0.3.16",
"log",
"pin-project 1.0.7",
"pin-project 1.0.8",
"smallvec",
"unsigned-varint 0.6.0",
]
......@@ -5620,11 +5620,11 @@ dependencies = [
[[package]]
name = "pin-project"
version = "1.0.7"
version = "1.0.8"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "c7509cc106041c40a4518d2af7a61530e1eed0e6285296a3d8c5472806ccc4a4"
checksum = "576bc800220cc65dac09e99e97b08b358cfab6e17078de8dc5fee223bd2d0c08"
dependencies = [
"pin-project-internal 1.0.7",
"pin-project-internal 1.0.8",
]
[[package]]
......@@ -5640,9 +5640,9 @@ dependencies = [
[[package]]
name = "pin-project-internal"
version = "1.0.7"
version = "1.0.8"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "48c950132583b500556b1efd71d45b319029f2b71518d979fcc208e16b42426f"
checksum = "6e8fe8163d14ce7f0cdac2e040116f22eac817edabff0be91e8aff7e9accf389"
dependencies = [
"proc-macro2",
"quote",
......@@ -6241,7 +6241,7 @@ dependencies = [
"hex-literal",
"libc",
"parity-scale-codec",
"pin-project 1.0.7",
"pin-project 1.0.8",
"polkadot-core-primitives",
"polkadot-parachain",
"rand 0.8.4",
......@@ -6371,7 +6371,7 @@ dependencies = [
"futures-timer 3.0.2",
"parity-scale-codec",
"parking_lot 0.11.1",
"pin-project 1.0.7",
"pin-project 1.0.8",
"polkadot-node-primitives",
"polkadot-node-subsystem",
"polkadot-node-subsystem-util",
......@@ -6403,7 +6403,7 @@ dependencies = [
"mick-jaeger",
"parity-scale-codec",
"parking_lot 0.11.1",
"pin-project 1.0.7",
"pin-project 1.0.8",
"polkadot-node-jaeger",
"polkadot-node-network-protocol",
"polkadot-node-primitives",
......@@ -6435,7 +6435,7 @@ dependencies = [
"metered-channel",
"parity-scale-codec",
"parking_lot 0.11.1",
"pin-project 1.0.7",
"pin-project 1.0.8",
"polkadot-node-jaeger",
"polkadot-node-metrics",
"polkadot-node-network-protocol",
......@@ -6499,7 +6499,7 @@ dependencies = [
"futures 0.3.16",
"futures-timer 3.0.2",
"metered-channel",
"pin-project 1.0.7",
"pin-project 1.0.8",
"polkadot-node-network-protocol",
"polkadot-node-primitives",
"polkadot-overseer-gen-proc-macro",
......@@ -8676,7 +8676,7 @@ dependencies = [
"lru",
"parity-scale-codec",
"parking_lot 0.11.1",
"pin-project 1.0.7",
"pin-project 1.0.8",
"prost 0.7.0",
"prost-build 0.7.0",
"rand 0.7.3",
......@@ -8855,7 +8855,7 @@ dependencies = [
"parity-scale-codec",
"parity-util-mem",
"parking_lot 0.11.1",
"pin-project 1.0.7",
"pin-project 1.0.8",
"rand 0.7.3",
"sc-block-builder",
"sc-chain-spec",
......@@ -8948,7 +8948,7 @@ dependencies = [
"libp2p",
"log",
"parking_lot 0.11.1",
"pin-project 1.0.7",
"pin-project 1.0.8",
"rand 0.7.3",
"serde",
"serde_json",
......
......@@ -18,7 +18,7 @@ futures-timer = "3.0.2"
libc = "0.2.99"
slotmap = "1.0"
tracing = "0.1.26"
pin-project = "1.0.7"
pin-project = "1.0.8"
rand = "0.8.3"
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["derive"] }
polkadot-parachain = { path = "../../../parachain" }
......
......@@ -12,7 +12,7 @@ futures-timer = "3.0.2"
tracing = "0.1.26"
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["derive"] }
parking_lot = "0.11.1"
pin-project = "1.0.7"
pin-project = "1.0.8"
polkadot-node-primitives = { path = "../primitives" }
polkadot-node-subsystem = { path = "../subsystem" }
polkadot-node-subsystem-util = { path = "../subsystem-util" }
......
......@@ -16,7 +16,7 @@ lazy_static = "1.4"
tracing = "0.1.26"
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["derive"] }
parking_lot = "0.11.1"
pin-project = "1.0.4"
pin-project = "1.0.8"
polkadot-primitives = { path = "../../primitives" }
polkadot-node-primitives = { path = "../primitives" }
polkadot-node-network-protocol = { path = "../network/protocol" }
......
......@@ -12,7 +12,7 @@ futures-timer = "3.0.2"
itertools = "0.10"
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["derive"] }
parking_lot = { version = "0.11.1", optional = true }
pin-project = "1.0.7"
pin-project = "1.0.8"
rand = "0.8.3"
thiserror = "1.0.26"
tracing = "0.1.26"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment